import { useState } from 'react';
import { PATHS } from '@/shared/constants/paths';
import { useNavigate } from '@/shared/lib/hooks/use-navigate';
import { FundAccountTab } from '@/entities/additional-service/ui/fund-account/tab'; 
import { FundAccountResultListWrap } from '@/entities/additional-service/ui/fund-account/result-list-wrap';
import { FundAccountTabKeys } from '@/entities/additional-service/model/fund-account/types';
import { HeaderType } from '@/entities/common/model/types';
import { 
	useSetHeaderTitle,
	useSetHeaderType,
	useSetFooterMode,
  useSetOnBack
} from '@/widgets/sub-layout/use-sub-layout';

export const FundAccountResultListPage = () => {
  const { navigate } = useNavigate();

  const [activeTab, setActiveTab] = useState<FundAccountTabKeys>(FundAccountTabKeys.ResultList);

  useSetHeaderTitle('자금이체');
  useSetHeaderType(HeaderType.LeftArrow);
  useSetFooterMode(false);
  useSetOnBack(() => {
    navigate(PATHS.home);
  });

  return (
    <>
      <main>
        <div className="tab-content">
          <div className="tab-pane pt-46 active">
            <FundAccountTab activeTab={ activeTab }></FundAccountTab>
            <FundAccountResultListWrap></FundAccountResultListWrap>
          </div>
        </div>
      </main>
    </>
  );
};